{
	"name": "@andyburke/autonomous.contact",
	"description": "An experimental web BBS.",
	"version": "0.4.4",
	"license": "MIT",
	"exports": {},
	"tasks": {
		"lint": "deno lint",
		"fmt": "deno fmt",
		"serve": "FSDB_ROOT=$PWD/.fsdb TRACE_ERROR_RESPONSES=true SERVERUS_TYPESCRIPT_IMPORT_LOGGING=true SERVERUS_PUT_PATHS_ALLOWED=./files SERVERUS_DELETE_PATHS_ALLOWED=./files deno --allow-env --allow-read --allow-write --allow-net @andyburke/serverus --root ./public --hostname 0.0.0.0",
		"test": "DENO_ENV=test FSDB_ROOT=$PWD/tests/data/$(date --iso-8601=seconds) SERVERUS_ROOT=$PWD/public SERVERUS_PUT_PATHS_ALLOWED=./files SERVERUS_DELETE_PATHS_ALLOWED=./files deno test --allow-env --allow-read --allow-write --allow-net --allow-import --trace-leaks --fail-fast tests/"
	},
	"test": {
		"exclude": [
			"tests/data/"
		]
	},
	"compilerOptions": {},
	"fmt": {
		"include": [
			"**/*.ts"
		],
		"options": {
			"useTabs": true,
			"lineWidth": 180,
			"indentWidth": 4,
			"singleQuote": true,
			"trailingCommas": "never"
		}
	},
	"lint": {
		"include": [
			"**/*.ts"
		],
		"rules": {
			"tags": [
				"recommended"
			],
			"exclude": [
				"no-explicit-any"
			]
		}
	},
	"imports": {
		"@andyburke/fsdb": "jsr:@andyburke/fsdb@^1.2.4",
		"@andyburke/lurid": "jsr:@andyburke/lurid@^0.2.0",
		"@andyburke/serverus": "jsr:@andyburke/serverus@^0.16.0",
		"@da/bcrypt": "jsr:@da/bcrypt@^1.0.1",
		"@std/assert": "jsr:@std/assert@^1.0.19",
		"@std/encoding": "jsr:@std/encoding@^1.0.10",
		"@std/fs": "jsr:@std/fs@^1.0.23",
		"@std/http": "jsr:@std/http@^1.0.25",
		"@std/media-types": "jsr:@std/media-types@^1.1.0",
		"@std/path": "jsr:@std/path@^1.1.4"
	}
}
